PingAuthorize API Reference

Read Test Suite Entity by Type and Full Name

GET {{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}

The GET /test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}} operation returns a test suite entry identified by the entity’s type and full name. The allowable values for {{testSuiteType}} are TEST_CASE, TEST_SCENARIO, or ASSERTION. Get the entity’s full name from the response after creating a test suite entity. The request must provide either a branch ID or a snapshot ID in the request URL to specify where the test suite entity should be read from.

Prerequisites

Query parameters
Query parameter Description

branch

Branch ID or name

snapshot

Snapshot ID

Headers

x-user-id      {{userId}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}' \
--header 'x-user-id: {{userId}}'
var options = new RestClientOptions("{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}")
  .method("GET", body)
  .addHeader("x-user-id", "{{userId}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}',
  'headers': {
    'x-user-id': '{{userId}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}"

payload = {}
headers = {
  'x-user-id': '{{userId}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/test-suite/{{testSuiteType}}/{{testSuiteEntityFullName}}?branch={{branchId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "objectType": "TestScenarioDefinition",
    "id": "4fe49d8d-1668-4037-8663-64e7845cd706",
    "version": "6982112a-5e62-45bc-a898-caf7b22b36ed",
    "type": "TEST_SCENARIO",
    "name": "example-test-scenario",
    "fullName": "example-test-scenario",
    "description": "",
    "parentId": null,
    "numberOfChildren": 1,
    "permissions": {
        "inherit": true,
        "rolePermissions": []
    },
    "properties": []
}